Get a profile's transactions
Returns all transactions for a specific profile across all application fees and payment plan fees. Transactions record actual payments, including amount, currency, date, reference number, and payment state.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
Query Parameters
- Type: stringupdated
_before Filter by profile updated at date in iso 8601 - yyyy-mm-dd.
- Type: stringupdated
_after Filter by profile updated at date in iso 8601 - yyyy-mm-dd.
Responses
- application/json
- application/json
- application/json
Request Example for get/apis/payments/profiles/{profile_id}/transactions
curl 'https://school.fullfabric.cloud/apis/payments/profiles/507f1f77bcf86cd799439011/transactions?updated_before=&updated_after=' \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
[
{
"id": "6311b20d9a52af7df8000200",
"state": "succeeded",
"amount": 500000,
"currency": "EUR",
"description": "Deposit – MBA Standard Payment Plan",
"date": "2025-04-15",
"reference": "INV-2025-001",
"payable_id": "6977b3de3b5d00baac7cd25e",
"payable_type": "BookKeeper::PaymentPlan::Fee",
"profile_id": "6385bdd4976a7719120108e9",
"created_at": 1744675200,
"updated_at": 1744675200,
"fee_id": "6977b3de3b5d00baac7cd25e"
}
]